
QGIS Application - Bug report #21703

Crash on QgsSymbolLayer call

2019-03-29 03:58 PM - Vytautas Pranckus

Status: Open

Priority: High

Assignee:

Category: Python bindings / sipify

Affected QGIS version:3.6.1 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29519

Description

User Feedback

It crashes when I try this:

layer = iface.activeLayer()

renderer = layer.renderer()

symbol = renderer.categories()[11].symbol()

symbol.symbolLayer(0).offset()

(symbolLayerCount is 1)

Report Details

Crash ID: c38d2192bf5389923079d20a7a4ed88a1c7aeb6d

Stack Trace

QList<QItemSelectionRange>::size :

QgsSymbol::symbolLayer :

PyInit__core :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyImport_Import :

PyImport_Import :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_sip :

PyInit_Qsci :

QWidget::event :

QFrame::event :

QAbstractScrollArea::event :
PyInit_Qsci :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processKeyEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.1-Noosa

QGIS code revision: commit:2468226bc9

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

History

#1 - 2019-03-29 03:58 PM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from PyQGIS Console to Python bindings / sipify

#2 - 2019-04-02 11:31 AM - Vytautas Pranckus

Version is 3.6.1 ant not 3.7! Sorry!

#3 - 2019-04-02 12:47 PM - Giovanni Manghi

- Affected QGIS version changed from 3.7(master) to 3.6.1
